<?php

class conexion{         
	// propiedades
	var $conn;
	var $rst;         
            
	// CREAR LA CONEXION
	function conectarse() {	
	     include("./conexion2.php");                       
		if (!($this->conn=mysql_connect($dbhost,$dbusuario,$dbpassword))) { // Ads			
			echo "Error conectando a la base de datos.";
			exit();
		}
		if (!mysql_select_db($db,$this->conn)) { // selecciono la base de datos
			echo "Error seleccionando la base de datos.".mysql_error();
			exit();
		}
	}

	//CERRAR LA BASE DATOS
	function cerrar(){
		if(isset($this->conn)){
			mysql_close($this->conn);  // cierro la conexion
			unset($this->conn);
			unset($this->rst);
		}
	}

	// CONSULTAR REGISTROS
	function  consultar($sql){	       
		if(isset($this->conn)){
			$this->rst=mysql_query($sql,$this->conn); // ejecuto una consulta
            //echo mysql_error();            
			if(!$this->rst){
			echo "Error Mysql".mysql_error();	
			}			
			return $this->rst;
		}
		else{
			echo "No Hay Conexion con Mysql ".mysql_error();
		}
	}

	function modificar($sql){
		if(isset($this->conn)){
		      
			$this->rst=mysql_query($sql,$this->conn) or die(mysql_error().$sql); // ejecuto una consulta
            			
		}
		else{
			echo "No se puede modificar los registros de la BD".mysql_error();	
		}
		
	}
	function getRst(){
		return $this->rst;
	}
}
?>
